Bug 88351 - EDITING: Impress Table row Clone Formatting error
Summary: EDITING: Impress Table row Clone Formatting error
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium major
Assignee: Julien Nabet
URL:
Whiteboard: target:5.3.0 target:5.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-01-13 03:21 UTC by yanjingtao
Modified: 2016-12-13 07:53 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yanjingtao 2015-01-13 03:21:47 UTC
OS: Fedora 21 x86_64
Version: 4.4.0.2
Build ID: a3603970151a6ae2596acd62b70112f4d376b990
Locale: en_US

Using Impress Clone Formatting in a Table will let target cell's background to dark blue.

1. Open LibreOffice Impress and Create a new Impress File
2. Insert a table from toolbar, I make a 10*7 table
3. select more than 2 cells, like row 7, you can see, the selected cell's background will be dark blue,it's the selected color,that's ok.
4. click "Clone Formatting" button from toolbar
5. Choose other cells you want to format, I choose row 2
6. You can find row 2's background will be dark blue!!
Comment 1 Robinson Tryon (qubit) 2015-01-14 22:30:25 UTC
TESTING on Ubuntu 14.04 + LO 4.4.0.2

(In reply to yanjingtao from comment #0)
> Using Impress Clone Formatting in a Table will [turn] target cell's background
> to dark blue.
> 
> 1. Open LibreOffice Impress and Create a new Impress File
> 2. Insert a table from toolbar, I make a 10*7 table
> 3. select more than 2 cells, like row 7, you can see, the selected cell's
> background will be dark blue,it's the selected color,that's ok.

Selected A7:C7

> 4. click "Clone Formatting" button from toolbar
> 5. Choose other cells you want to format, I choose row 2

I selected A2:C2

> 6. You can find row 2's background will be dark blue!!

CONFIRMED: The bg of the cells are blue, not gray as I expected.

Status -> NEW
Comment 2 Buovjaga 2015-01-16 15:23:04 UTC
I repro the color change in 4.5 alpha and 4.3, but in 3.3.0 and 3.5.0 the only change is that the cells get a thin black border.

I'd like to see a bibisect.

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 7201fa0dddd7dd0352f69fd2b2b64efcb361ccad
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-11_23:28:55

Version: 4.3.3.2
Build ID: 430m0(Build:2)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 3 Michael Weghorn 2015-02-07 00:11:48 UTC
bibisect result:

d81a010b5434259b55e61f45bc43f54cd902aaae is the first bad commit
commit d81a010b5434259b55e61f45bc43f54cd902aaae
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Wed Oct 16 19:36:09 2013 +0000

    source-hash-66a63c1608cfd5e755fb141b636e4a84c118179a
    
    commit 66a63c1608cfd5e755fb141b636e4a84c118179a
    Author:     Eike Rathke <erack@redhat.com>
    AuthorDate: Wed Mar 27 22:56:13 2013 +0100
    Commit:     Eike Rathke <erack@redhat.com>
    CommitDate: Thu Mar 28 01:39:07 2013 +0100
    
        use LanguageTag instead of comphelper::Locale
    
        Change-Id: I628c7fdd9e14c8fdd55800aa470268abf4ed2632


$ git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# good: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect good 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# bad: [8ad82bc1416a07501651e8d96fe268e47d3931d3] source-hash-13821254f88d2c5488fba9fe6393dcf4ae810db4
git bisect bad 8ad82bc1416a07501651e8d96fe268e47d3931d3
# good: [238338bc4111eb82429ea47384d4012bcd7cdc3e] source-hash-b6ba04639b9922f6717f79ac4be215e09691d7a9
git bisect good 238338bc4111eb82429ea47384d4012bcd7cdc3e
# good: [f24a67989fadc0affdfed9edf28f2f59fd6c279f] source-hash-930fe0581794e2ae6aaa62c2c716ed655a0f2885
git bisect good f24a67989fadc0affdfed9edf28f2f59fd6c279f
# bad: [2a05be5f2465d8bf3a527ebbee1884df2b967f43] source-hash-52770659d33f8f08a769043392cfb5a926019fef
git bisect bad 2a05be5f2465d8bf3a527ebbee1884df2b967f43
# bad: [ebb65cb393af31cb2876fe16279b72c1d1ac90c6] source-hash-23085e3bec84f8d07a594f8c1bbbbdbbe18d8121
git bisect bad ebb65cb393af31cb2876fe16279b72c1d1ac90c6
# bad: [d81a010b5434259b55e61f45bc43f54cd902aaae] source-hash-66a63c1608cfd5e755fb141b636e4a84c118179a
git bisect bad d81a010b5434259b55e61f45bc43f54cd902aaae
# good: [881d3769047eb34423ab11d9fe4aa85a03f40a06] source-hash-6310424aff68ad0cb354b15b5c92324e933ffae2
git bisect good 881d3769047eb34423ab11d9fe4aa85a03f40a06
# first bad commit: [d81a010b5434259b55e61f45bc43f54cd902aaae] source-hash-66a63c1608cfd5e755fb141b636e4a84c118179a
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:12:08 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2016-09-02 14:47:41 UTC
I can reproduce it with

Version: 4.2.0.0.alpha1+
Build ID: fc8f44e82de4ebdd50ac5fbb9207cd1a59a927e3

thus, changing affected version
Comment 6 raal 2016-11-20 06:50:01 UTC
This seems to have begun at the below commit.
Adding Cc: to Julien Nabet ; Could you possibly take a look at this one?
Thanks


b95bd78e61ca7eb013d73d45f8b7254fd378c8c7 is the first bad commit
commit b95bd78e61ca7eb013d73d45f8b7254fd378c8c7
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Fri Sep 18 10:52:34 2015 +0800

    source-hash-7b1f5cc16fdbc0c53d0b7f9e3f45decd1136f4fa
    
    commit 7b1f5cc16fdbc0c53d0b7f9e3f45decd1136f4fa
    Author:     Julien Nabet <serval2412@yahoo.fr>
    AuthorDate: Mon Mar 25 23:10:59 2013 +0100
    Commit:     Petr Mladek <pmladek@suse.cz>
    CommitDate: Wed Mar 27 17:43:20 2013 +0000
    
        coverity#704341 Logically dead code
    
        Change-Id: I5a097afe1c582eab023cecadc0b1cc77faf774a1
        Reviewed-on: https://gerrit.libreoffice.org/3046
        Reviewed-by: Petr Mladek <pmladek@suse.cz>
        Tested-by: Petr Mladek <pmladek@suse.cz>

bibisect-41max$ git bisect log
# bad: [e8a1c54dfe8a4bc03d2ce9cb9906bf06d9affa7d] source-hash-863d38fbfa4fb4861e476828c46410602100919e
# good: [8cb222c656c0444f66cfa5a35ed204169bb91e09] source-hash-efca6f15609322f62a35619619a6d5fe5c9bd5a4
git bisect start 'latest' 'oldest'
# good: [789cb134f3000918fe031ffce19c57e505cab328] source-hash-8669ad398a2971706ce22b6e5fe316991977452a
git bisect good 789cb134f3000918fe031ffce19c57e505cab328
# skip: [0699ea5ef4cb907f6f387cdf2aac183bd8fc5643] source-hash-ba6989df7dffb4fd2c62dbb9f5b1c9b000b4abdd
git bisect skip 0699ea5ef4cb907f6f387cdf2aac183bd8fc5643
# bad: [3032632d514891fc82a76f3526f4a61cb064d8ca] source-hash-2f205ee79ea929c6fce5686512bd468ab78a877a
git bisect bad 3032632d514891fc82a76f3526f4a61cb064d8ca
# bad: [62e04a3511acab40dccdf02fde6b1fcef0cb2b39] source-hash-e518ef52bbda3449130f51dbbf6f0a60bb76298f
git bisect bad 62e04a3511acab40dccdf02fde6b1fcef0cb2b39
# good: [6ee77b3f9cf5cc21ee3f66ad467c900bf390aabe] source-hash-f25fcba2f2ef699e8366d3681ae6c636798569a8
git bisect good 6ee77b3f9cf5cc21ee3f66ad467c900bf390aabe
# good: [204729fc1ae95690d85fad6b504bcfe0cac805f6] source-hash-7f52bb5ed454c06978220ac0d0631348360b644d
git bisect good 204729fc1ae95690d85fad6b504bcfe0cac805f6
# bad: [981a99a1ffcf89399e8303f940bdb4f3ee42b6c3] source-hash-c63e6c38c9b0be2a5141b356bdcb4fe9b361effc
git bisect bad 981a99a1ffcf89399e8303f940bdb4f3ee42b6c3
# bad: [4cde0b11e6a8e15cc82d8d406d6fe6f9fbc255f7] source-hash-2ac8508a2fd538183953dfa0a283c8c829bb066f
git bisect bad 4cde0b11e6a8e15cc82d8d406d6fe6f9fbc255f7
# good: [371e740983e3eda0a5228bf23c78b89ce04202ca] source-hash-4fc429bf61b43fb78eb17aa63004d8bce6757fd2
git bisect good 371e740983e3eda0a5228bf23c78b89ce04202ca
# bad: [7e55a4dfefa0680d55132b2ec3b34e4f4cd2f922] source-hash-6558e62d58d0daf1d4a2562ca4618eb1083f30d4
git bisect bad 7e55a4dfefa0680d55132b2ec3b34e4f4cd2f922
# good: [9cd5836d224fbec53dfffdaf95529b18aac35ae8] source-hash-35ee0188cb85a56c7ea287cc979006d2d01d439b
git bisect good 9cd5836d224fbec53dfffdaf95529b18aac35ae8
# bad: [ae4284e0e1ab7158a77963cb7108f871beaeb7f8] source-hash-6b01598089547d61e29199a1e3f15f5e39bf88bc
git bisect bad ae4284e0e1ab7158a77963cb7108f871beaeb7f8
# good: [264fe96f6c4972033b88ff7e1a62a74e24b559db] source-hash-e9ecc029d6ec8f48bd901959e64a872c355dc217
git bisect good 264fe96f6c4972033b88ff7e1a62a74e24b559db
# good: [6e8a857ac42eb3ea59caa648d0bc554d992ecb41] source-hash-e8943d60fc2ffe2b3abd1195a53346aafb4a5a81
git bisect good 6e8a857ac42eb3ea59caa648d0bc554d992ecb41
# bad: [b95bd78e61ca7eb013d73d45f8b7254fd378c8c7] source-hash-7b1f5cc16fdbc0c53d0b7f9e3f45decd1136f4fa
git bisect bad b95bd78e61ca7eb013d73d45f8b7254fd378c8c7
# first bad commit: [b95bd78e61ca7eb013d73d45f8b7254fd378c8c7] source-hash-7b1f5cc16fdbc0c53d0b7f9e3f45decd1136f4fa
Comment 7 Julien Nabet 2016-11-20 09:25:00 UTC
I submitted the revert on gerrit (see https://gerrit.libreoffice.org/#/c/31017/)

When testing, it seems cloning doesn't have any effect now (at least in this specific case) but at least, we won't have dark blue.
Comment 8 Commit Notification 2016-11-20 13:25:04 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5507b741ccf018c06fb29694d13837abcac4486a

tdf#88351: Revert "coverity#704341 Logically dead code"

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Julien Nabet 2016-11-20 13:26:08 UTC
I cherry-picked the patch for 5.2 branch, it's on review for the moment:
https://gerrit.libreoffice.org/#/c/31023/

Could someone give a try in 24/48 hours with a daily build of master? (see http://dev-builds.libreoffice.org/daily/master/)
Comment 10 Commit Notification 2016-12-13 07:29:11 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41fc6366c53323c46769f2c367d8f8d6cf02878b&h=libreoffice-5-2

tdf#88351: Revert "coverity#704341 Logically dead code"

It will be available in 5.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Julien Nabet 2016-12-13 07:53:04 UTC
Let's put this one to FIXED now.